include:
  - component: $CI_SERVER_FQDN/$CI_PROJECT_PATH/plan@$CI_COMMIT_SHA
    inputs:
      image_registry_base: $GITLAB_OPENTOFU_IMAGE_BASE
      version: $CI_COMMIT_SHA
      opentofu_version: $OPENTOFU_VERSION
      root_dir: $TEST_TF_ROOT
      state_name: $TEST_TF_STATE_NAME
      destroy: true

stages: [build]

# Required to run everything immediately, instead of manually.

plan:
  rules: [{when: always}]
